View Issue Details

IDProjectCategoryView StatusLast Update
0000009Siril[All Projects] Sirilpublic2018-11-22 23:21
Reporterlock42Assigned Tolock42 
PrioritynormalSeverityminorReproducibilityN/A
Status confirmedResolutionopen 
PlatformGNU/Linux 64bitsOSDebianOS VersionTesting
Product Version 
Target Version0.9.11Fixed in Version 
Summary0000009: Command line improvements
DescriptionThis used to be the command line reimplementation ticket, but there are many commands and we don't implement them all at once. This is now a generic command line work ticket.
For the future: reenable the lrgb and rgb commands.
TagsNo tags attached.

Relationships

parent of 0000270 resolvedlock42 New command SETFINDSTAR [SIGMA] [ROUNDNESS] 
parent of 0000275 acknowledged Allow filtering of the stacked images from the command line 
related to 0000244 resolvedvinvin Execute script file in another thread 
Not all the children of this issue are yet resolved or closed.

Activities

vinvin

2017-12-01 23:51

administrator   ~0000428

I think we have a pretty good command line already, maybe we can make this issue more specific or close it.

lock42

2017-12-03 21:23

administrator   ~0000437

Maybe add registall, register 'sequence' and stack 'sequence'

lock42

2018-02-28 07:52

administrator   ~0000480

Add commands for:
Stacking one sequence
Register one sequence
Preprocess one sequence
Convert (and debayer) ?

vinvin

2018-04-19 01:08

administrator   ~0000531

Last edited: 2018-04-19 01:09

View 2 revisions

The cd command fails to initialize the com.wd sometimes, I don't understand how to reproduce yet.

preprocessing does not fail when a master is not found, maybe it should.

All commands should return error values when a failure occurs.

lock42

2018-04-19 20:17

administrator   ~0000532

for the cd command you need to have the permission to write in the directory, it could be the issue ?

vinvin

2018-04-24 15:50

administrator   ~0000533

No it's not the problem.

vinvin

2018-05-05 01:13

administrator   ~0000539

Maybe we should allow rotation to be disabled in the register command for 0.9.9?

lock42

2018-05-05 09:32

administrator   ~0000540

OK. Great idea. I'll add a -no-rot option.
But for now it looks like stacking command does not take regparam into account (it was not a problem with sequence already registered). Need to check about it

lock42

2018-05-17 10:43

administrator   ~0000545

I think that enough commands have been re-implemented for the 0.9.9 version, but this issue should stay opened for next release.

vinvin

2018-05-17 23:01

administrator   ~0000546

A specific changelog for commands has been put here:
https://free-astro.org/index.php?title=Siril:Commands#Commands_history
It shall be updated whenever there is a commit on commands.

Related Changesets

Siril: 0.9 r2149

2018-03-17 22:26:49

lock42

Details
Added 'register' command. Issue 0000009. Affected Issues
0000009
mod - /branches/0.9/ChangeLog
mod - /branches/0.9/NEWS
mod - /branches/0.9/config.guess
mod - /branches/0.9/config.sub
mod - /branches/0.9/src/core/command.c
mod - /branches/0.9/src/core/command.h

Siril: 0.9 r2208

2018-04-13 01:12:50

vinvin

Details
Fixing load and save in script execution. A usual procedure works not.
This concludes the scripting ticket, closes 0000244. Other command issues will have to be placed in issue 0000009.
Affected Issues
0000009
mod - /branches/0.9/src/core/command.c
mod - /branches/0.9/src/gui/progress_and_log.c
mod - /branches/0.9/src/gui/progress_and_log.h
mod - /branches/0.9/src/io/single_image.c

Siril: 0.9 r2211

2018-04-15 11:47:29

vinvin

Details
fixed a crash in registration idle when called from command line - issue 0000009 Affected Issues
0000009
mod - /branches/0.9/src/registration/registration.c

Siril: 0.9 r2212

2018-04-15 13:33:11

vinvin

Details
fixing sequence initialization in register command (issue 0000009) Affected Issues
0000009
mod - /branches/0.9/src/core/command.c

Siril: 0.9 r2214

2018-04-16 01:24:08

vinvin

Details
Review the registration ending to make it compatible with scripting (issue 0000009).
Also making sure that commands that run on sequence execute the required things before using the sequence.
Affected Issues
0000009
mod - /branches/0.9/src/core/command.c
mod - /branches/0.9/src/core/proto.h
mod - /branches/0.9/src/core/utils.c
mod - /branches/0.9/src/gui/callbacks.c
mod - /branches/0.9/src/gui/registration_preview.c
mod - /branches/0.9/src/gui/sequence_list.c
mod - /branches/0.9/src/io/sequence.c
mod - /branches/0.9/src/io/sequence.h
mod - /branches/0.9/src/registration/registration.c
mod - /branches/0.9/src/registration/registration.h

Siril: 0.9 r2221

2018-04-19 21:52:00

lock42

Details
Returning error in preprocessing command when a master is not found. Issue 0000009. Affected Issues
0000009
mod - /branches/0.9/src/core/command.c

Siril: 0.9 r2266

2018-05-05 14:10:49

lock42

Details
Add option "-no-rot" in register command: Issue 0000009
Fixes several bugs in the same time
Affected Issues
0000009
mod - /branches/0.9/po/fr.po
mod - /branches/0.9/src/core/command.c
mod - /branches/0.9/src/core/command_def.h
mod - /branches/0.9/src/stacking/stacking.c

Siril: 0.9 r2270

2018-05-06 10:07:45

lock42

Details
Add new command: convertraw (issue 0000008)
Now preprocessing can be done from scratch
Affected Issues
0000009
mod - /branches/0.9/po/ar_DZ.po
mod - /branches/0.9/po/el.po
mod - /branches/0.9/po/es_ES.po
mod - /branches/0.9/po/it_IT.po
mod - /branches/0.9/po/nl_BE.po
mod - /branches/0.9/po/zh_CN.po
mod - /branches/0.9/scripts/DSLR_preprocessing.ssf
mod - /branches/0.9/src/core/command.c
mod - /branches/0.9/src/core/command.h
mod - /branches/0.9/src/core/command_def.h
mod - /branches/0.9/src/gui/script_menu.c
mod - /branches/0.9/src/io/conversion.c
mod - /branches/0.9/src/io/conversion.h

Siril: 0.9 r2273

2018-05-06 16:26:33

lock42

Details
Issue 0000009:
- add -debayer option to the command "convertraw"
- add -flip option to the command "preprocess"
Affected Issues
0000009
mod - /branches/0.9/src/core/command.c
mod - /branches/0.9/src/core/command_def.h
mod - /branches/0.9/src/io/conversion.c
mod - /branches/0.9/src/io/conversion.h

Siril: 0.9 r2335

2018-05-17 22:58:17

vinvin

Details
adding the clear command to clear the output logs window - issue 0000009 Affected Issues
0000009
mod - /branches/0.9/src/core/command.c
mod - /branches/0.9/src/core/command.h
mod - /branches/0.9/src/core/command_def.h

Siril: 0.9 r2336

2018-05-17 23:23:15

vinvin

Details
update preprocess command help - issue 0000009 Affected Issues
0000009
mod - /branches/0.9/src/core/command.c

Siril: 0.9 r2355

2018-05-22 21:53:10

vinvin

Details
reactivating noise analysis at the end of stacking in commands - issue 0000009 Affected Issues
0000009
mod - /branches/0.9/src/core/command.c

Issue History

Date Modified Username Field Change
2015-06-16 14:50 lock42 New Issue
2016-10-16 00:55 vinvin Product Version 1.0.0 =>
2016-10-16 00:55 vinvin Target Version 1.0.0 => 2.0.0
2016-12-19 16:32 lock42 Category General => Software Development
2016-12-19 16:50 lock42 Category Software Development => Software
2016-12-19 23:30 lock42 Category Software => Siril
2017-12-01 23:51 vinvin Assigned To => vinvin
2017-12-01 23:51 vinvin Status new => feedback
2017-12-01 23:51 vinvin Note Added: 0000428
2017-12-01 23:51 vinvin Assigned To vinvin =>
2017-12-03 21:23 lock42 Note Added: 0000437
2017-12-03 21:23 lock42 Status feedback => new
2017-12-03 21:23 lock42 Assigned To => lock42
2017-12-03 21:23 lock42 Status new => feedback
2017-12-03 21:23 lock42 Assigned To lock42 =>
2018-02-28 07:52 lock42 Target Version 2.0.0 => 0.9.9
2018-02-28 07:52 lock42 Note Added: 0000480
2018-03-17 22:26 lock42 Changeset attached => Siril 0.9 r2149
2018-03-23 15:04 lock42 Assigned To => lock42
2018-03-23 15:04 lock42 Status feedback => confirmed
2018-04-13 01:12 vinvin Changeset attached => Siril 0.9 r2208
2018-04-13 01:14 vinvin Relationship added related to 0000244
2018-04-15 11:47 vinvin Changeset attached => Siril 0.9 r2211
2018-04-15 13:33 vinvin Changeset attached => Siril 0.9 r2212
2018-04-16 01:24 vinvin Changeset attached => Siril 0.9 r2214
2018-04-19 01:08 vinvin Note Added: 0000531
2018-04-19 01:09 vinvin Note Edited: 0000531 View Revisions
2018-04-19 20:17 lock42 Note Added: 0000532
2018-04-19 21:52 lock42 Changeset attached => Siril 0.9 r2221
2018-04-24 15:50 vinvin Note Added: 0000533
2018-05-05 01:13 vinvin Note Added: 0000539
2018-05-05 09:32 lock42 Note Added: 0000540
2018-05-05 14:10 lock42 Changeset attached => Siril 0.9 r2266
2018-05-06 14:08 lock42 Changeset attached => Siril 0.9 r2270
2018-05-06 16:26 lock42 Changeset attached => Siril 0.9 r2273
2018-05-17 10:43 lock42 Note Added: 0000545
2018-05-17 10:43 lock42 Target Version 0.9.9 => 1.0.0
2018-05-17 10:51 lock42 Target Version 1.0.0 => 0.9.10
2018-05-17 22:58 vinvin Changeset attached => Siril 0.9 r2335
2018-05-17 23:01 vinvin Note Added: 0000546
2018-05-17 23:23 vinvin Changeset attached => Siril 0.9 r2336
2018-05-22 21:53 vinvin Changeset attached => Siril 0.9 r2355
2018-09-05 11:16 lock42 Relationship added related to 0000270
2018-09-05 11:17 lock42 Relationship replaced parent of 0000270
2018-09-27 22:25 vinvin Summary Command line reimplementation => Command line improvements
2018-09-27 22:25 vinvin Description Updated View Revisions
2018-09-27 22:31 vinvin Relationship added parent of 0000275
2018-11-22 23:21 vinvin Target Version 0.9.10 => 0.9.11